#!/bin/sh

# gEDA - GPL Electronic Design Automation
# gEDA Binary Suite perl Wrapper
# Copyright (C) 2008 Ales Hvezda
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA

installdir=%INSTALLDIR%
scriptsdir=.scripts
version=0.0.2

# Make sure we are not running as root.  That is just generally a bad
# idea.
effective_uid=`whoami`
if [ "$effective_uid" = "root" ]
then
        echo "Cannot execute $0 since you are running as root."
        echo "Running the gEDA suite binaries/scripts as root is unsupported."
        echo "If you want to run as root, you need to remove this restriction"
        echo "in the appopriate wrapper script."
        exit 1
fi

base=`basename $0`

exec perl $installdir/bin/$scriptsdir/$base.pl $*

